<? include('checkcookie.php'); ?>
<BR />
<style>
table{text-align: left; border:1px solid #000000;}
tr:hover{ background:#FFFFFF;}
input,select{font-family: Verdana, Arial, Helvetica, sans-serif;font-size: 12px;color: #051B50;	border: #007dd5 1px solid;background-color:#fff;}
</style>

<?PHP
$to_time = time();
require("config.php");

	if(isset($_POST["clean"]))
	{
	
	$zk = (isset($_POST["zk"])) ? intval($_POST["zk"]) : FALSE;
	$zt = (isset($_POST["zt"])) ? intval($_POST["zt"]) : FALSE;
	$to = (isset($_POST["to"])) ? intval($_POST["to"]) : FALSE;
	$ss = (isset($_POST["ss"])) ? intval($_POST["ss"]) : FALSE;
	$rob = (isset($_POST["rob"])) ? intval($_POST["rob"]) : FALSE;
	$ro = (isset($_POST["ro"])) ? intval($_POST["ro"]) : FALSE;
	$rf = (isset($_POST["rf"])) ? intval($_POST["rf"]) : FALSE;
	$ds = (isset($_POST["ds"])) ? intval($_POST["ds"]) : FALSE;
	$dt = (isset($_POST["dt"])) ? intval($_POST["dt"]) : FALSE;
	$counter = 0;
	
		if($zk){
		$a_ = mysql_query("DELETE FROM tb_ads WHERE  tipo = 'visit' AND CONVERT(visitime,UNSIGNED)+86400 <= $to_time"); 
		
			if($a_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по кликам очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по кликам очистить не удалось. </font></center>";
			}
		
		}	
		if($zt){
		$q_ = mysql_query("DELETE FROM tb_ads1 WHERE  tipo = 'visit' AND CONVERT(visitime,UNSIGNED)+86400 <= $to_time"); 
		
			if($q_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по кликам очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по кликам очистить не удалось. </font></center>";
			}
		
		}
		if($to){ 
		$b_ = mysql_query("DELETE FROM tb_textadsreq WHERE id <= $to"); 
		
			if($b_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по текстовым обьявлениям очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по текстовым обьявлениям очистить не удалось. </font></center>";
			}
		
		}	
		if($ss){ 
		$c_ = mysql_query("DELETE FROM tb_statlinksreq WHERE id <= $ss"); 
		
			if($c_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по статическим ссылкам очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по статическим ссылкам очистить не удалось. </font></center>";
			}
		
		}	
			if($rob){ 
		$v_ = mysql_query("DELETE FROM tb_addbanner WHERE id <= $rob"); 
		
			if($v_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по баннерам очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по баннерам очистить не удалось. </font></center>";
			}
		
		}	
			if($ro){ 
		$y_ = mysql_query("DELETE FROM tb_ban WHERE id <= $rob"); 
		
			if($y_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по баннерам очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по баннерам очистить не удалось. </font></center>";
			}
		
		}
		if($rf){ 
		$m_ = mysql_query("DELETE FROM tb_frameadsreq WHERE id <= $rf"); 
		
			if($m_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по рекламе во фрейме очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по рекламе во фрейме очистить не удалось. </font></center>";
			}
		
		}		
		if($ds){ 
		$o_ = mysql_query("DELETE FROM tb_advertisers WHERE id <= $ds"); 
		
			if($o_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по заказам динамических ссылок очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по заказам динамических ссылок очистить не удалось. </font></center>";
			}
		
		}	
		if($dt){ 
		$t_ = mysql_query("DELETE FROM tb_advertisers1 WHERE id <= $dt"); 
		
			if($t_)
			{
			echo "<center><font color='green'>".++$counter.". Записи по заказам динамических ссылок очищены. </font></center>";
			}else{
			echo "<center><font color='red'>".++$counter.". Записи по заказам динамических ссылок очистить не удалось. </font></center>";
			}
		
		}	
	}

$zk = mysql_query("SELECT id FROM tb_ads WHERE tipo = 'visit' AND CONVERT(visitime,UNSIGNED)+86400 < $to_time");
$zt = mysql_query("SELECT id FROM tb_ads1 WHERE tipo = 'visit' AND CONVERT(visitime,UNSIGNED)+86400 < $to_time");
$to = mysql_query("SELECT id FROM tb_textadsreq WHERE id <= ((SELECT id FROM tb_textadsreq ORDER BY id DESC LIMIT 1)-3) ORDER BY id DESC");
$ss = mysql_query("SELECT id FROM tb_statlinksreq WHERE id <= ((SELECT id FROM tb_statlinksreq ORDER BY id DESC LIMIT 1)-3) ORDER BY id DESC");
$rob = mysql_query("SELECT id FROM tb_addbanner WHERE id <= ((SELECT id FROM tb_addbanner ORDER BY id DESC LIMIT 1)-3) ORDER BY id DESC");
$ro = mysql_query("SELECT id FROM tb_ban WHERE id <= ((SELECT id FROM tb_ban ORDER BY id DESC LIMIT 1)-3) ORDER BY id DESC");
$rf = mysql_query("SELECT id FROM tb_frameadsreq WHERE id <= ((SELECT id FROM tb_frameadsreq ORDER BY id DESC LIMIT 1)-3) ORDER BY id DESC");
$ds = mysql_query("SELECT id FROM tb_advertisers WHERE id <= ((SELECT id FROM tb_advertisers ORDER BY id DESC LIMIT 1)-3) ORDER BY id DESC");
$dt = mysql_query("SELECT id FROM tb_advertisers1 WHERE id <= ((SELECT id FROM tb_advertisers1 ORDER BY id DESC LIMIT 1)-3) ORDER BY id DESC");
mysql_close();

?>
<BR />
<form action="" method="post">
<table width="400" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td align="center" colspan="2" bgcolor="#CCCCCC" style="padding:1px;"><b>Статистика по просроченным записям в БД</b></td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="ds" type="checkbox" value="<?PHP 
	$dsd=mysql_fetch_array($ds); 
	@sort($dsd); 
	echo ($dsd[count($dsd)-1] > 0 ) ? $dsd[count($dsd)-1] : 0 ; 
	?>" /> | Динамические ссылки:</td>
	<td align="center" style="padding:1px;"><?=mysql_num_rows($ds); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="dt" type="checkbox" value="<?PHP 
	$dtd=mysql_fetch_array($dt); 
	@sort($dtd); 
	echo ($dtd[count($dtd)-1] > 0 ) ? $dtd[count($dtd)-1] : 0 ; 
	?>" /> | Динамические ссылки мини:</td>
	<td align="center" style="padding:1px;"><?=mysql_num_rows($dt); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="ss" type="checkbox" value="<?PHP 
	$ssd=mysql_fetch_array($ss); 
	@sort($ssd); 
	echo ($ssd[count($ssd)-1] > 0 ) ? $ssd[count($ssd)-1] : 0 ; 
	?>" /> | Статические ссылки:</td>
    <td align="center" style="padding:1px;"><?=mysql_num_rows($ss); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="rob" type="checkbox" value="<?PHP 
	$robd=mysql_fetch_array($rob); 
	@sort($robd); 
	echo ($robd[count($robd)-1] > 0 ) ? $robd[count($robd)-1] : 0 ; 
	?>" /> | Ротатор баннеров:</td>
    <td align="center" style="padding:1px;"><?=mysql_num_rows($rob); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="ro" type="checkbox" value="<?PHP 
	$rod=mysql_fetch_array($ro); 
	@sort($rod); 
	echo ($rod[count($rod)-1] > 0 ) ? $rod[count($rod)-1] : 0 ; 
	?>" /> | Ротатор баннеров 100x100:</td>
    <td align="center" style="padding:1px;"><?=mysql_num_rows($ro); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="rf" type="checkbox" value="<?PHP 
	$rfd=mysql_fetch_array($rf); 
	@sort($rfd); 
	echo ($rfd[count($rfd)-1] > 0 ) ? $rfd[count($rfd)-1] : 0 ; 
	?>" /> | Реклама во фрейме:</td>
    <td align="center" style="padding:1px;"><?=mysql_num_rows($rf); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="to" type="checkbox" value="<?PHP 
	$tod=mysql_fetch_array($to); 
	@sort($tod); 
	echo ($tod[count($tod)-1] > 0 ) ? $tod[count($tod)-1] : 0 ; 
	?>" /> | Текстовые обьявления:</td>
    <td align="center" style="padding:1px;"><?=mysql_num_rows($to); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="zk" type="checkbox" value="<?PHP 
	$zkd=mysql_fetch_array($zk); 
	@sort($zkd); 
	echo ($zkd[count($zkd)-1] > 0 ) ? $zkd[count($zkd)-1] : 0 ; 
	?>" /> | Записи по кликам:</td>
    <td align="center" style="padding:1px;"><?=mysql_num_rows($zk); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">
	&nbsp;<input name="zt" type="checkbox" value="<?PHP 
	$ztd=mysql_fetch_array($zt); 
	@sort($ztd); 
	echo ($ztd[count($zkd)-1] > 0 ) ? $ztd[count($ztd)-1] : 0 ; 
	?>" /> | Записи по кликам мини:</td>
    <td align="center" style="padding:1px;"><?=mysql_num_rows($zt); ?> шт.</td>
  </tr>
  <tr>
    <td style="padding:1px;">Общее кол-во устаревших записей:</td>
    <td align="center" style="padding:1px;">
	<?=mysql_num_rows($zk)
	+mysql_num_rows($zt)
	+mysql_num_rows($to)
	+mysql_num_rows($ss)
	+mysql_num_rows($rob)
	+mysql_num_rows($rf)
	+mysql_num_rows($ds);
	+mysql_num_rows($dt);
 ?> шт.
	</td>
  </tr>
 
	<tr>
  <td align="center" colspan="2" bgcolor="#CCCCCC" style="padding:1px;">
  <input name="clean" type="submit" value="Очистить выбранные" />
  </td>
 	</tr>
</table>
</form>